Saltar al contenido principal
PUT
/
v1
/
maintenance
/
actionDefinitions
/
{actionDefinitionReference}
Edit an existing action definition
curl --request PUT \
  --url https://api.bold-factory.com/v1/maintenance/actionDefinitions/{actionDefinitionReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "theoreticalMinutes": 123
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

actionDefinitionReference
string
requerido

Cuerpo

application/json
name
string
requerido
theoreticalMinutes
number<double>
requerido
type
enum<string>
requerido
Opciones disponibles:
Simple,
Boolean,
Number,
Text,
Image,
File

Respuesta

No Content